Bug 212070 - Date time units not consistent
Date time units not consistent
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Usability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Partha Aji
Red Hat Satellite QA List
Depends On:
Blocks: 462714
  Show dependency treegraph
Reported: 2006-10-24 16:34 EDT by Partha Aji
Modified: 2011-01-05 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-01-05 17:50:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Partha Aji 2006-10-24 16:34:53 EDT
Description of problem:
Date time units are not consistent in various UI pages (such as view modify
sandbox etc)...
There seems to be a standard/consistent way to categorizeTime in the following
1) No more than 2 Consecutive Units shown
2) No 0 units are shown.

So valid values will be
"18 hrs 25 min"
"20 hrs"
"1 day 15 mins"
"6 months 2 weeks"
"1 year 3 months"

invalid values wiil be
"20 hrs 0 min"
"21 hrs 2 min 35 secs"

So a sample algorithm might be 
Given a time in millis and min unit

Find the  "largest non-zero and next-largest" - could be month/day, or day/hour.
 Or, since it should have a min-unit available, it should probably never go
below "minute", so might devolve to just one unit. Cases like 0 hrs & 20 min
will be covered by "decrementing to first non-zero unit"
Comment 1 Máirín Duffy 2006-10-24 16:56:53 EDT

so we first spec'ed out a 'human-friendly time display' in proposed SDC changes
for rhn410:

Here's the copy/paste from there:

 - "Human-readable" time stamps
    - The more recent an event occurred, the more details necessary
    - Algorithm:
        - if checkin within current date; print Today; print time
        - if checkin current date -1; print Yesterday; print time
        - if checkin within 7 days; print x days; print date (localized d-m
format ie '2/27')
        - if checkin within 3 months; print x weeks + mod (x weeks * 7 - x
days); print date (localized d-m format)
        - if checkin within 6 months; print x weeks; print date
        - if checkin within 12 months; print x months; print date
        - if checkin > 12 months old, print x years + mod(x years * 12/ x
months); print date
Comment 2 Mike McCune 2006-11-20 20:21:17 EST
only release blockers at this point.  moving off of 500.
Comment 3 Red Hat Bugzilla 2007-04-11 21:32:28 EDT
User bnackash@redhat.com's account has been closed
Comment 6 Clifford Perry 2011-01-05 17:50:22 EST
The RHN Satellite 4.x and RHN Proxy 4.x products have reached their end of
life. Please see:

Satellite 4 EOL Errata
 - https://rhn.redhat.com/errata/RHSA-2011-0001.html

RHN Proxy 4 EOL Errata
 - https://rhn.redhat.com/errata/RHSA-2011-0002.html

This bugzilla was reported for an unspecified version of the product, but was created prior to the release of 5.x - as such we assume this bug was reported for the 4.x version of the product - which is no longer supported. 

RHN Satellite and Proxy Server 5
General availability: 	June 26, 2007

We are closing this bugzilla out. If you feel this bug report should be
reviewed again since it is valid for a currently supported product version,
then please feel free to re-open this bug report. 


Note You need to log in before you can comment on or make changes to this bug.